{
    attributes = (
        {
            columnName = ANNEE; 
            externalType = NUMBER; 
            name = annee; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1024; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_COMMENTAIRE"; 
            externalType = DATE; 
            name = dateCommentaire; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "HEURES_SERVICE_DU"; 
            externalType = NUMBER; 
            name = heuresServiceDu; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "HEURES_SOUHAITEES"; 
            externalType = NUMBER; 
            name = heuresSouhaitees; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ID_FICHE_VOEUX"; 
            externalType = NUMBER; 
            name = id; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_DEMANDE"; 
            externalType = NUMBER; 
            name = idDemande; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = idPersonneCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = idPersonneModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = SUIVI; 
            externalType = VARCHAR2; 
            name = suivi; 
            valueClassName = NSString; 
            width = 1024; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temoinValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (heuresServiceDu, heuresSouhaitees, id); 
    className = "org.cocktail.peche.entity.EOFicheVoeux"; 
    classProperties = (
        annee, 
        commentaire, 
        dateCommentaire, 
        dateCreation, 
        dateModification, 
        enseignant, 
        heuresServiceDu, 
        heuresSouhaitees, 
        listeFicheVoeuxDetails, 
        personneCreation, 
        personneModification, 
        suivi, 
        temoinValide, 
        toDemande
    ); 
    externalName = "GRH_PECHE.FICHE_VOEUX"; 
    fetchSpecificationDictionary = {}; 
    name = EOFicheVoeux; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = EOActuelEnseignant; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noDossierPers; sourceAttribute = noIndividu; }); 
            name = enseignant; 
        }, 
        {
            destination = EOFicheVoeuxDetail; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idFicheVoeux; sourceAttribute = id; }); 
            name = listeFicheVoeuxDetails; 
        }, 
        {
            destination = "FwkDroitsUtils_Personne"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = idPersonneCreation; }); 
            name = personneCreation; 
        }, 
        {
            destination = "FwkDroitsUtils_Personne"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = idPersonneModification; }); 
            name = personneModification; 
        }, 
        {
            destination = Demande; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idDemande; sourceAttribute = idDemande; }); 
            name = toDemande; 
        }
    ); 
}
